Amazon web services – Apache has `network` instead of` httpd`. It also uses `systemctl` instead of` chkconfig`. Why? (EC2 Linux AMI 2)

I am learning about networks, so I am following a book.
Currently, I am configuring a web server within my EC2 instance.
When i ran sudo chkconfig --list httpd As the book suggested, I received an error that said

(ec2-user@ip-10-0-1-10 ~)$ sudo chkconfig --list httpd

Note: This output shows SysV services only and does not include native
      systemd services. SysV configuration data might be overridden by native
      systemd configuration.

      If you want to list systemd services use 'systemctl list-unit-files'.
      To see services enabled on particular target use
      'systemctl list-dependencies (target)'.

error reading information on service httpd: No such file or directory

So i tried sudo chkconfig --list what does this give me

(ec2-user@ip-10-0-1-10 ~)$ sudo chkconfig --list

Note: This output shows SysV services only and does not include native
      systemd services. SysV configuration data might be overridden by native
      systemd configuration.

      If you want to list systemd services use 'systemctl list-unit-files'.
      To see services enabled on particular target use
      'systemctl list-dependencies (target)'.

netconsole      0:off   1:off   2:off   3:off   4:off   5:off   6:off
network         0:off   1:off   2:on    3:on    4:on    5:on    6:off

It seems that the error occurred when I expected

httpd 0:off 1:off 2:on 3:on 4:on 5:on 6:off

but instead I have

network 0:off 1:off 2:on 3:on 4:on 5:on 6:off

This seemed very strange to me and I couldn't find out why. Therefore, I want to ask

Question

  1. Because it is httpd not be called network here? I've done an instance of LAMP before (with a different command) and I never really had problems.
  2. Because it is systemctl being used not chkconfig?

P.S.

Version Information

(ec2-user@ip-10-0-1-10 ~)$ yum list httpd
Loaded plugins: extras_suggestions, langpacks, priorities, update-motd
Installed Packages
httpd.x86_64                         2.4.39-1.amzn2.0.1                         @amzn2-core